#ifndef USER_MANAGER_H_
#define USER_MANAGER_H_

#include "crypto.h"
#include <QStringList>

class UserManager {
  public:
    UserManager(ushort cryptoKey, QString opseq, ushort charsiz = 128);
    bool changePW(QString userid, QString oldPW, QString newPW);
    bool addUser(QString userid, QString pw);
    bool checkUser(QString userid, QString pw);
    int saveList() const;
    int loadList();
    void listUsers() ;  /*For debugging purposes.*/
  private:
    Crypto m_Cryptor;
    QStringList m_useridList; /* stores userids */
    QStringList m_pwList;  /* stores encrypted passwords*/
    int findUser(QString userid, const QString& pw) ;
};

#endif

